Page MenuHomePhabricator

Homepage: user info text vertical stacking issues in mobile account creation module
Closed, ResolvedPublicBUG REPORT

Description

In the mobile account creation module, user info text styling is not consistent with mockup specifications.

Actual Results:

Expected Results:

.growthexperiments-homepage-module-start.growthexperiments-homepage-module-mobile-overlay > .growthexperiments-homepage-module-section-body .growthexperiments-homepage-module-start-account .growthexperiments-homepage-module-section-userinfo {
  margin-bottom: 1em;
}

.growthexperiments-homepage-module-start > .growthexperiments-homepage-module-body .growthexperiments-homepage-module-start-account .growthexperiments-homepage-module-section-userinfo .growthexperiments-homepage-module-section-username {
  line-height: 1em;
}

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterStart/Account: add padding to username to align with icon
mediawiki/extensions/GrowthExperiments : masterStart/Account: update text size and position

Event Timeline

Cntlsn created this task.Aug 12 2019, 2:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 2:51 PM
Cntlsn triaged this task as Medium priority.Aug 12 2019, 2:51 PM
phuedx moved this task from Needs triage to Growth on the Mobile board.Aug 15 2019, 11:11 AM

Change 530590 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Start/Account: update text size and position

https://gerrit.wikimedia.org/r/530590

Change 530590 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Start/Account: update text size and position

https://gerrit.wikimedia.org/r/530590

The specs seem to be in place:

betalabstestwiki
RHo added a comment.Aug 21 2019, 12:27 PM

Hi @SBisson - can we add a super minor change so the text is vertically center-aligned?

The change is to add padding-top:.15em to the username class:

Change 531493 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Start/Account: add padding to username to align with icon

https://gerrit.wikimedia.org/r/531493

Hi @SBisson - can we add a super minor change so the text is vertically center-aligned?
The change is to add padding-top:.15em to the username class:

Done in the patch above.

Change 531493 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Start/Account: add padding to username to align with icon

https://gerrit.wikimedia.org/r/531493

Etonkovidova moved this task from QA to Design Review on the Growth-Team (Current Sprint) board.EditedAug 22 2019, 10:35 PM

(1) the text is vertically center-aligned


(2) The has been made according to the specs (the screenshot scale is 120%) :

The change is to add padding-top:.15em to the username class:

MMiller_WMF closed this task as Resolved.Aug 29 2019, 12:50 AM

Thank you!